HaruDoc::__construct
HaruDoc::getCurrentEncoder
HaruDoc
PHP Manual

# HaruDoc::createOutline

(PECL haru:0.0.1)

HaruDoc::createOutline — Create a HaruOutline instance

### Description

object HaruDoc::createOutline ( string `$title` [, object `$parent_outline` [, object `$encoder` ]] )

Create a HaruOutline instance.

### Parameters

`title`

  The caption of new outline object.

`parent_outline`

  A valid HaruOutline instance or `NULL`.

`encoder`

  A valid HaruEncoder instance or `NULL`.

### Return Values

Returns a new HaruOutline instance.

### Errors/Exceptions

Throws HaruException on error.

HaruDoc::__construct
HaruDoc::getCurrentEncoder
HaruDoc
PHP Manual